/* 
 *03.11.2020: (c) Andy Menon | For personal non-profit, non-commerical use only!
 * Published as is with no warranties whatsoever. Use at your own risk!
 * Refer to Wiring instructions at the bottom of this Sketch! 
  Original documentation: http://arduino.cc/en/Tutorial/Sweep  
*/

#include <Servo.h>

Servo myservo;  // create servo object to control a servo

bool TEST_MODE = false;           //Set this to true when setting ANGLE_SOFT_CENTER
const int SERVO_PIN_D4 = 2;       // Change this value if wiring to a different PIN
const int ANGLE_SOFT_CENTER=95;   //Adjust this value in the software based on how Servo horn is postioned. Ideally, the mouse must sit level.
const int ANGLE_ROCK_LEFT=90;     //Left & Right sides as seen from the Servo side of the Mouse-Rocker
const int ANGLE_ROCK_RIGHT=100;
const int WAIT_TIME_MS=15000;     //Adjust this based on how long the rocker needs to wait between rocking movements

void setup() {
  myservo.attach(SERVO_PIN_D4);  // attaches the servo on GPIO2 (D4) to the servo object
  // Center Servo to the calibrated center point
  myservo.write(ANGLE_SOFT_CENTER);

}

void loop() {
  if(TEST_MODE==false){
    rockTheMouse();
    }
}
void rockTheMouse(){
   delay(WAIT_TIME_MS);        // Wait ....
   myservo.write(ANGLE_ROCK_RIGHT);   //Rock to one side 
  
   delay(WAIT_TIME_MS);
   myservo.write(ANGLE_ROCK_LEFT);   //Rock to the other side
}

/*
 * ########## Wiring Instructions ###########
 * GROUND PIN (usually Brown) from Servo >> GND PIN on Wemos D1 Mini
 * POWER PIN (usually Red) from Servo >> 5V PIN on Wemos D1 Mini
 * SIGNAL PIN (usually Orange) from Servo >> GPIO PIN 2 (usually labeled D4) on Wemos D1 Mini
 *  
 * Connect Wemos D1 Mini to a Powered USB hub that can output at least 2.1A
 * to help run the Mini and also the Servo
 */
